Bug 20560 - WebKitCSSTransformValue not visible from Window
Summary: WebKitCSSTransformValue not visible from Window
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: DOM (show other bugs)
Version: 528+ (Nightly build)
Hardware: Mac OS X 10.5
: P2 Normal
Assignee: Dean Jackson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-08-28 11:46 PDT by Dean Jackson
Modified: 2008-12-12 18:30 PST (History)
2 users (show)

See Also:


Attachments
Patch + testcases (17.89 KB, patch)
2008-12-05 15:56 PST, Dean Jackson
darin: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dean Jackson 2008-08-28 11:46:04 PDT
The WebKitCSSTransformValue type isn't showing on Window, which makes comparing transform types annoying.
Comment 1 Simon Fraser (smfr) 2008-10-24 11:59:38 PDT
Also need to add keyframe(s) rule constructors:

+        attribute WebKitCSSKeyframeRuleConstructor WebKitCSSKeyframeRule;
+        attribute WebKitCSSKeyframesRuleConstructor WebKitCSSKeyframesRule;
Comment 2 Dean Jackson 2008-12-05 12:03:44 PST
I stealz it.

Comment 3 Dean Jackson 2008-12-05 15:56:09 PST
Created attachment 25797 [details]
Patch + testcases

Also added animation event constructors while i was in there.
Comment 4 Darin Adler 2008-12-10 14:46:08 PST
Comment on attachment 25797 [details]
Patch + testcases

r=me
Comment 5 Dean Jackson 2008-12-12 18:30:44 PST
Committed r39264
	M	WebCore/dom/WebKitAnimationEvent.idl
	M	WebCore/dom/WebKitTransitionEvent.idl
	M	WebCore/ChangeLog
	M	WebCore/page/DOMWindow.idl
	M	LayoutTests/ChangeLog
	M	LayoutTests/fast/events/resources/event-instanceof.js
	M	LayoutTests/fast/events/event-instanceof-expected.txt
	M	LayoutTests/fast/js/global-constructors-expected.txt
	M	LayoutTests/fast/dom/Window/window-properties-expected.txt
	M	LayoutTests/transforms/transform-value-types-expected.txt
	M	LayoutTests/transforms/transform-value-types.html
	M	LayoutTests/animations/keyframes-rule-expected.txt
	M	LayoutTests/animations/keyframes-rule.html